export default function markdownItMath(md: import("markdown-it"), options?: PluginOptions): void;
export type CustomElementOption = string | [tag: string, attrs?: Record<string, string>];
export type Renderer = (src: string, token: Token, md: MarkdownIt) => any;
export type PluginOptions = {
    /**
     * - Inline math delimiters.
     */
    inlineDelimiters?: string | Delimiter[];
    /**
     * - Deprecated: Use inlineDelimiters
     */
    inlineOpen?: string;
    /**
     * - Deprecated: Use inlineDelimiters
     */
    inlineClose?: string;
    /**
     * - If you want to render to a custom element.
     */
    inlineCustomElement?: CustomElementOption;
    /**
     * - Custom renderer for inline math. Default mathup.
     */
    inlineRenderer?: Renderer;
    /**
     * - Block math delimters.
     */
    blockDelimiters?: string | Delimiter[];
    /**
     * - Deprecated: Use blockDelimiters
     */
    blockOpen?: string;
    /**
     * - Deprecated: Use blockDelimiters
     */
    blockClose?: string;
    /**
     * - If you want to render to a custom element.
     */
    blockCustomElement?: CustomElementOption;
    /**
     * - Custom renderer for block math. Default mathup with display = "block".
     */
    blockRenderer?: Renderer;
    /**
     * - The options passed into the default renderer.
     */
    defaultRendererOptions?: MathupOptions;
};
export type MathupOptions = any;
export type MarkdownIt = import("markdown-it").default;
export type RuleBlock = import("markdown-it/lib/parser_block.mjs").RuleBlock;
export type RuleInline = import("markdown-it/lib/parser_inline.mjs").RuleInline;
export type StateBlock = import("markdown-it/lib/rules_block/state_block.mjs").default;
export type StateInline = import("markdown-it/lib/rules_inline/state_inline.mjs").default;
export type Token = import("markdown-it/lib/token.mjs").default;
export type Delimiter = string | [string, string];
//# sourceMappingURL=index.d.ts.map